Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class AbstractSessionManager.Session

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.Session

All Implemented Interfaces:
  Serializable, HttpSession, AbstractSessionManager.SessionIf

Direct Known Subclasses:
  HashSessionManager.Session

Enclosing class:
  AbstractSessionManager

    public abstract class AbstractSessionManager.Session

extends Object
implements AbstractSessionManager.SessionIf, Serializable

Implements `HttpSession` from the `javax.servlet` package.

Author:
  gregw
See Also:
  Serialized Form

Field Summary
`protected long` | `_accessed`
`protected String` | `_clusterId`
`protected long` | `_cookieSet`
`protected long` | `_created`
`protected boolean` | `_doInvalidate`
`protected boolean` | `_idChanged`
`protected boolean` | `_invalid`
`protected long` | `_lastAccessed`
`protected long` | `_maxIdleMs`
`protected boolean` | `_newSession`
`protected String` | `_nodeId`
`protected int` | `_requests`
`protected Map` | `_values`

Constructor Summary
`protected` | `AbstractSessionManager.Session(HttpServletRequest request)`
`protected` | `AbstractSessionManager.Session(long created, String clusterId)`

Method Summary
`protected void` | `access(long time)`
`protected void` | `bindValue(String name, Object value)` If value implements HttpSessionBindingListener, call valueBound()
`protected void` | `complete()`
`protected void` | `cookieSet()`
`protected void` | `didActivate()`
`protected void` | `doInvalidate()`
`Object` | `getAttribute(String name)` Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.
`Enumeration` | `getAttributeNames()` Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.
`protected String` | `getClusterId()`
`long` | `getCookieSetTime()`
`long` | `getCreationTime()` Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.
`String` | `getId()` Returns a string containing the unique identifier assigned to this session.
`long` | `getLastAccessedTime()` Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT, and marked by the time the container received the request.
`int` | `getMaxInactiveInterval()` Returns the maximum time interval, in seconds, that the servlet container will keep this session open between client accesses.
`protected String` | `getNodeId()`
`ServletContext` | `getServletContext()` Returns the ServletContext to which this session belongs.
`AbstractSessionManager.Session` | `getSession()`
`HttpSessionContext` | `getSessionContext()` Deprecated.
`Object` | `getValue(String name)` Deprecated. As of Version 2.2, this method is replaced by `getAttribute(java.lang.String)`
`String[]` | `getValueNames()` Deprecated. As of Version 2.2, this method is replaced by `getAttributeNames()`
`protected void` | `initValues()`
`void` | `invalidate()` Invalidates this session then unbinds any objects bound to it.
`boolean` | `isIdChanged()`
`boolean` | `isNew()` Returns `true` if the client does not yet know about the session or if the client chooses not to join the session.
`protected boolean` | `isValid()`
`protected abstract Map` | `newAttributeMap()`
`void` | `putValue(String name, Object value)` Deprecated. As of Version 2.2, this method is replaced by `setAttribute(java.lang.String, java.lang.Object)`
`void` | `removeAttribute(String name)` Removes the object bound with the specified name from this session.
`void` | `removeValue(String name)` Deprecated. As of Version 2.2, this method is replaced by `removeAttribute(java.lang.String)`
`void` | `setAttribute(String name, Object value)` Binds an object to this session, using the name specified.
`void` | `setIdChanged(boolean changed)`
`void` | `setMaxInactiveInterval(int secs)` Specifies the time, in seconds, between client requests before the servlet container will invalidate this session.
`protected void` | `timeout()`
`String` | `toString()`
`protected void` | `unbindValue(String name, Object value)` If value implements HttpSessionBindingListener, call valueUnbound()
`protected void` | `willPassivate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _clusterId

    protected final String _clusterId

### _nodeId

    protected final String _nodeId

### _idChanged

    protected boolean _idChanged

### _created

    protected final long _created

### _cookieSet

    protected long _cookieSet

### _accessed

    protected long _accessed

### _lastAccessed

    protected long _lastAccessed

### _invalid

    protected boolean _invalid

### _doInvalidate

    protected boolean _doInvalidate

### _maxIdleMs

    protected long _maxIdleMs

### _newSession

    protected boolean _newSession

### _values

    protected Map _values

### _requests

    protected int _requests

Constructor Detail

### AbstractSessionManager.Session

    protected AbstractSessionManager.Session(HttpServletRequest request)

### AbstractSessionManager.Session

    protected AbstractSessionManager.Session(long created,
                                             String clusterId)

Method Detail

### getSession

    public AbstractSessionManager.Session getSession()

  Specified by:
    `getSession` in interface `AbstractSessionManager.SessionIf`

### initValues

    protected void initValues()

### getAttribute

    public Object getAttribute(String name)

  Description copied from interface: `HttpSession`
  Returns the object bound with the specified name in this session, or `null` if no object is bound under the name.

  Specified by:
    `getAttribute` in interface `HttpSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name

### getAttributeNames

    public Enumeration getAttributeNames()

  Description copied from interface: `HttpSession`
  Returns an `Enumeration` of `String` objects containing the names of all the objects bound to this session.

  Specified by:
    `getAttributeNames` in interface `HttpSession`
  Returns:
    an `Enumeration` of `String` objects specifying the names of all the objects bound to this session

### getCookieSetTime

    public long getCookieSetTime()

### getCreationTime

    public long getCreationTime()
                         throws IllegalStateException

  Description copied from interface: `HttpSession`
  Returns the time when this session was created, measured in milliseconds since midnight January 1, 1970 GMT.

  Specified by:
    `getCreationTime` in interface `HttpSession`
  Returns:
    a `long` specifying when this session was created, expressed in milliseconds since 1/1/1970 GMT
  Throws:
    `IllegalStateException` - if this method is called on an invalidated session

### getId

    public String getId()
                 throws IllegalStateException

  Description copied from interface: `HttpSession`
  Returns a string containing the unique identifier assigned to this session. The identifier is assigned by the servlet container and is implementation dependent.

  Specified by:
    `getId` in interface `HttpSession`
  Returns:
    a string specifying the identifier assigned to this session
  Throws:
    `IllegalStateException`

### getNodeId

    protected String getNodeId()

### getClusterId

    protected String getClusterId()

### getLastAccessedTime

    public long getLastAccessedTime()
                             throws IllegalStateException

  Description copied from interface: `HttpSession`
  Returns the last time the client sent a request associated with this session, as the number of milliseconds since midnight January 1, 1970 GMT, and marked by the time the container received the request.

  Actions that your application takes, such as getting or setting a value associated with the session, do not affect the access time.

  Specified by:
    `getLastAccessedTime` in interface `HttpSession`
  Returns:
    a `long` representing the last time the client sent a request associated with this session, expressed in milliseconds since 1/1/1970 GMT
  Throws:
    `IllegalStateException` - if this method is called on an invalidated session

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Description copied from interface: `HttpSession`
  Returns the maximum time interval, in seconds, that the servlet container will keep this session open between client accesses. After this interval, the servlet container will invalidate the session. The maximum time interval can be set with the `setMaxInactiveInterval` method. A negative time indicates the session should never timeout.

  Specified by:
    `getMaxInactiveInterval` in interface `HttpSession`
  Returns:
    an integer specifying the number of seconds this session remains open between client requests
  See Also:
    `HttpSession.setMaxInactiveInterval(int)`

### getServletContext

    public ServletContext getServletContext()

  Description copied from interface: `HttpSession`
  Returns the ServletContext to which this session belongs.

  Specified by:
    `getServletContext` in interface `HttpSession`
  Returns:
    The ServletContext object for the web application

### getSessionContext

    public HttpSessionContext getSessionContext()
                                         throws IllegalStateException

  Deprecated.

  Specified by:
    `getSessionContext` in interface `HttpSession`
  Throws:
    `IllegalStateException`

### getValue

    public Object getValue(String name)
                    throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `getAttribute(java.lang.String)`

  Specified by:
    `getValue` in interface `HttpSession`
  Parameters:
    `name` - a string specifying the name of the object
  Returns:
    the object with the specified name
  Throws:
    `IllegalStateException` - if this method is called on an invalidated session

### getValueNames

    public String[] getValueNames()
                           throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `getAttributeNames()`

  Specified by:
    `getValueNames` in interface `HttpSession`
  Returns:
    an array of `String` objects specifying the names of all the objects bound to this session
  Throws:
    `IllegalStateException` - if this method is called on an invalidated session

### access

    protected void access(long time)

### complete

    protected void complete()

### timeout

    protected void timeout()
                    throws IllegalStateException

  Throws:
    `IllegalStateException`

### invalidate

    public void invalidate()
                    throws IllegalStateException

  Description copied from interface: `HttpSession`
  Invalidates this session then unbinds any objects bound to it.

  Specified by:
    `invalidate` in interface `HttpSession`
  Throws:
    `IllegalStateException` - if this method is called on an already invalidated session

### doInvalidate

    protected void doInvalidate()
                         throws IllegalStateException

  Throws:
    `IllegalStateException`

### isIdChanged

    public boolean isIdChanged()

### isNew

    public boolean isNew()
                  throws IllegalStateException

  Description copied from interface: `HttpSession`
  Returns `true` if the client does not yet know about the session or if the client chooses not to join the session. For example, if the server used only cookie-based sessions, and the client had disabled the use of cookies, then a session would be new on each request.

  Specified by:
    `isNew` in interface `HttpSession`
  Returns:
    `true` if the server has created a session, but the client has not yet joined
  Throws:
    `IllegalStateException` - if this method is called on an already invalidated session

### putValue

    public void putValue(String name,
                         Object value)
                  throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `setAttribute(java.lang.String, java.lang.Object)`

  Specified by:
    `putValue` in interface `HttpSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound; cannot be null
  Throws:
    `IllegalStateException` - if this method is called on an invalidated session

### removeAttribute

    public void removeAttribute(String name)

  Description copied from interface: `HttpSession`
  Removes the object bound with the specified name from this session. If the session does not have an object bound with the specified name, this method does nothing.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueUnbound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  Specified by:
    `removeAttribute` in interface `HttpSession`
  Parameters:
    `name` - the name of the object to remove from this session

### removeValue

    public void removeValue(String name)
                     throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `removeAttribute(java.lang.String)`

  Specified by:
    `removeValue` in interface `HttpSession`
  Parameters:
    `name` - the name of the object to remove from this session
  Throws:
    `IllegalStateException` - if this method is called on an invalidated session

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Description copied from interface: `HttpSession`
  Binds an object to this session, using the name specified. If an object of the same name is already bound to the session, the object is replaced.

  After this method executes, and if the new object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  If an object was already bound to this session of this name that implements `HttpSessionBindingListener`, its `HttpSessionBindingListener.valueUnbound` method is called.

  If the value passed in is null, this has the same effect as calling `removeAttribute()`.``

  Specified by:
    `setAttribute` in interface `HttpSession`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound

### setIdChanged

    public void setIdChanged(boolean changed)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

  Description copied from interface: `HttpSession`
  Specifies the time, in seconds, between client requests before the servlet container will invalidate this session. A negative time indicates the session should never timeout.

  Specified by:
    `setMaxInactiveInterval` in interface `HttpSession`
  Parameters:
    `secs` - An integer specifying the number of seconds

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### bindValue

    protected void bindValue(String name,
                             Object value)

  If value implements HttpSessionBindingListener, call valueBound()

### isValid

    protected boolean isValid()

### newAttributeMap

    protected abstract Map newAttributeMap()

### cookieSet

    protected void cookieSet()

### unbindValue

    protected void unbindValue(String name,
                               Object value)

  If value implements HttpSessionBindingListener, call valueUnbound()

### willPassivate

    protected void willPassivate()

### didActivate

    protected void didActivate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.